--load_save_num
local num_string = tostring(load_save_num)

save_state = assert( io.output(media_dir .. "game_state" .. num_string .. ".sav") )
save_state:write( player_pos.x, " ", player_pos.y, " ", player_pos.z, " ", player_view.y, " ", player_knowledge )
assert( save_state:close() )

local saved = E.create_string( "Saved:" )
E.set_entity_scale( saved, 20, 20, 1 )
add_to_overlay_timed( saved, 45, 65, 2)
local game_state = E.create_string( "Game State " .. num_string )
E.set_entity_scale( game_state, 20, 20, 1 )
add_to_overlay_timed( game_state, 45, 45, 2)